//
//  MainGame.h
//  SnakeMenu
//
//  Created by HANSON, PAUL  on 28/04/2010.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//


#import <UIKit/UIKit.h>
#import "SnakeMenuAppDelegate.h"
#import "audioAL.h"
#import "audioAV.h"



//constants
extern NSInteger const SCORE_VALUE;
extern NSInteger const START_LIVES;

@interface MainGameDraw : UIView 
{
	//game control
	BOOL start;
	
	//stores the current touch
	CGPoint currentTouchPoint;
	
	//counter to stall update
	int movementHold;
	
	//the direction the snake is facing
	int currentDirection;
	
	//pointer to sound clip
	audioAL *sound;
}

-(IBAction) goToGameOver;
-(void)update;
-(void)createAudio;

@end