//
//  audioAL.h
//  breakout
//
//  Created by HANSON, PAUL  on 21/04/2010.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#ifndef _AUDIOAL_
#define _AUDIOAL_

#import <Foundation/Foundation.h>
#import <OpenAL/al.h>
#import <OpenAL/alc.h>
#import <AudioToolbox/AudioToolbox.h>
#import <AVFoundation/AVAudioPlayer.h>

@interface audioAL : NSObject 
{
	//context
	ALCcontext *oalContext;
	//device
	ALCdevice *oalDevice;
	
	//store the clips in a dictionary
	NSMutableDictionary *soundDictionary;
	
	//buffer var
	NSUInteger bufferID;
	//source var
	NSUInteger sourceID;
}

-(bool) initAudioDevice;
-(bool) loadAudio;
-(AudioFileID) openAudioFile:(NSString*)filePath;
-(UInt32) audioFileSize:(AudioFileID) fileDescriptor;
-(void) playSound:(NSString*) soundKey;
-(void) stopSound:(NSString*) soundKey;
-(void) cleanUpSound;

@end

#endif