//
//  GameOver.m
//  SnakeMenu
//
//  Created by HANSON, PAUL  on 22/04/2010.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "GameOver.h"
#import "MainGame.h"


@implementation GameOver

- (IBAction) restartGame
{
	SnakeMenuAppDelegate *snakeAppDelegate = (SnakeMenuAppDelegate*)[UIApplication sharedApplication].delegate;
	[snakeAppDelegate restartGame];
}

- (IBAction) goBackToMenu
{
	SnakeMenuAppDelegate *snakeAppDelegate = (SnakeMenuAppDelegate*)[UIApplication sharedApplication].delegate;
	[snakeAppDelegate goToMainMenuFromGameOver];
}

//bonus update function
-(void)update
{
	
	
	//cast the view contained in the controller to our custom view	
	GameOverDraw *gameView= (GameOverDraw*)self.view;
	
	//update the view
	[gameView update];
	
}

- (void)viewDidLoad 
{
	//set up timer 60 fps
	tempTimer = [NSTimer scheduledTimerWithTimeInterval:1/60.0f
												 target:self
											   selector:@selector(update)
											   userInfo:nil
												repeats:YES];
    [super viewDidLoad];
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
