//
//  HiScoreDraw.m
//  SnakeMenu
//
//  Created by HANSON, PAUL  on 10/05/2010.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "HiScoreDraw.h"


@implementation HiScoreDraw


- (id)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        // Initialization code
    }
    return self;
}


- (void)drawRect:(CGRect)rect 
{
    //Grab the context
	CGContextRef CG = UIGraphicsGetCurrentContext();
	
	//set fill colour to black to match the image
	CGContextSetRGBFillColor(CG, 0.0f, 0.0f, 0.0f, 1.0f);
	
	//fill rectangle with size of the view
	CGContextFillRect(CG, rect);
	
	//font type
	CGContextSelectFont(CG, "Helvetica", 36.0, kCGEncodingMacRoman); //context, font, size, encoding
	
	//draw mode
	CGContextSetTextDrawingMode(CG, kCGTextFillStroke);
	
	//colours
	CGContextSetRGBFillColor(CG, 1.0f, 1.0f, 1.0f, 1.0f);
	CGContextSetRGBStrokeColor (CG, 0.0f,0.0f,0.7f,1.0f);
	
	//flip
	CGContextSetTextMatrix(CG, CGAffineTransformMakeScale(1.0, -1.0));	
	
	//get the score
	NSString *finalScoreText = [NSString stringWithFormat:@"Score: %i", getHighScore()];
	//draw on screen
	CGContextShowTextAtPoint(CG, 80.0, 200.0, [finalScoreText UTF8String], [finalScoreText length]);
}

-(void)update
{
	//force redraw
	[self setNeedsDisplay];	
}

- (void)dealloc {
    [super dealloc];
}


@end
