//
//  SnakeMenuAppDelegate.h
//  SnakeMenu
//
//  Created by HANSON, PAUL  on 22/04/2010.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "audioAV.h"
#import "MainGame.h";
#import "HiScore.h";
#import "GameOver.h";
#import "Menu.h"

@class HiScore;
@class GameOver;
@class Menu;
@class MainGame;

@interface SnakeMenuAppDelegate : NSObject <UIApplicationDelegate> 
{
   
	//main window
	UIWindow *window;
	
	//views
    MainGame *viewController;
	HiScore *hiScoreViewController;
	GameOver *gameOverViewController;
	Menu *menu;
	
	//testing testing
	NSInteger CoolScore;
	NSInteger woahInt;
	
	//avsound
	audioAV *musicPlayer;
}


//view control functions
-(void) startGame;
-(void) goToHiScore;
-(void) goToGameOver;
-(void) goToMainMenuFromGameOver;
-(void) goToMainMenuFromHiScore;

//normal functions
-(void) restartGame;
-(void) setUpMusic;

//should be bool
-(void) loadData;

@property (nonatomic, retain) IBOutlet UIWindow *window;
@property (nonatomic, retain) IBOutlet MainGame *viewController;
@property (nonatomic, retain) IBOutlet HiScore *hiScoreViewController;
@property (nonatomic, retain) IBOutlet GameOver *gameOverViewController;
@property (nonatomic, retain) IBOutlet Menu *menu;

@end

